/* --------------------------------------------------
Author: Anastasios Pallas / tcpallas@gmail.com
Version 1.0
Last Update: 2018-12-20
-------------------------------------------------- */

// Usage: config.center_x;

var config = {
	center_x: 450,
	center_y: 410,

	temperature_min: 1,
	temperature_max: 20,

	environment_temperature: 20,
	
	cstart_min: 40,
	cstart_max: 110,
	cstart_threshold: 88,

	init_state_duration: 8,		// init state duration in seconds

	in_pressure_off: 4.7,
	in_temperature_off: 20,
	out_pressure_off: 4.7,
	out_temperature_off: 20,

	in_pressure_on: 1,
	in_temperature_on: -10,
	out_pressure_on: 12.2,
	out_temperature_on: 50,

	io_duration_on: 3,			// in seconds
	io_duration_off: 60,		// in seconds

	status_off_text: 'Ο συμπιεστής είναι εκτός λειτουργίας!',
	status_error_text: 'Σφάλμα στον Πυκνωτή Εκκίνησης!',
	status_on_text: 'Ο συμπιεστής είναι σε λειτουργία!',
	status_init_text: 'Ο συμπιεστής είναι σε λειτουργία εκκίνησης',

	info_rele_entasis: 'Χρησιμοποιείται για τη σύνδεση και αποσύνδεση του πυκνωτή εκκίνησης από το κύκλωμα μέσω της μετακίνησης του οπλισμού του. Το πηνίο του ηλεκτρομαγνήτη του συνδέεται σε σειρά με το κύριο τύλιγμα (RUN) του συμπιεστή.',
	info_cstart: 'Συνδέεται σε σειρά με το βοηθητικό τύλιγμα κατά την εκκίνηση του κινητήρα του συμπιεστή και αποσυνδέεται όταν ο κινητήρας αποκτήσει τις ονομαστικές στροφές λειτουργίας. Λόγω της μεγάλης απαιτούμενης χωρητικότητας, είναι συνήθως ηλεκτρολυτικού τύπου.',
	info_crun: 'Είναι μόνιμα συνδεδεμένος σε σειρά με το βοηθητικό τύλιγμα. Αν και η παρουσία του δεν είναι απαραίτητη κατά τη λειτουργία του κινητήρα, βελτιώνει τον συντελεστή ισχύος του κινητήρα και μειώνει τον θόρυβο του κινητήρα και τις μηχανικές καταπονήσεις στον άξονα του δρομέα μέσω της ανάπτυξης μίας σταθερής επαγόμενης ηλεκτρομαγνητικής ροπής για ένα συγκεκριμένο φορτίο.',
	info_lstart: 'Χωρίς το τύλιγμα αυτό και τον συνδεδεμένο πυκνωτή εκκίνησης, δεν μπορεί να δημιουργηθεί κατά την εκκίνηση περιστρεφόμενο μαγνητικό πεδίο και άρα ροπή εκκίνησης για να περιστραφεί ο δρομέας. Σε άλλους τύπους επαγωγικών κινητήρων, το τύλιγμα αυτό τίθεται εκτός λειτουργίας όταν ο κινητήρα έχει αναπτύξει τις ονομαστικές στροφές λειτουργίας. Τοποθετείται στον στάτη (ακίνητο μέρος) του συμπιεστή.',
	info_lrun: 'Είναι απαραίτητο για την δημιουργία μαγνητικού πεδίου κατά τη λειτουργία του κινητήρα και την ανάπτυξη ροπής πάνω στο τύλιγμα του δρομέα. Τοποθετείται στον στάτη (ακίνητο μέρος) του συμπιεστή.',
	info_thermiko: 'Είναι μία διάταξη προστασίας του συμπιεστή από τυχόν καταστροφικές υπερεντάσεις στα τυλίγματα του κινητήρα. Λειτουργεί συνήθως με ένα διμεταλλικό έλασμα. Όταν η διερχόμενη ένταση ρεύματος από το έλασμα είναι αρκετά μεγάλη τότε τα δύο διαφορετικά μέταλλα θερμαίνονται, κάμπτονται λόγω του διαφορετικό βαθμού διαστολής τους και έτσι διακόπτουν το κύκλωμα και προστατεύουν τον κινητήρα.',
	info_thermostatis: 'Είναι ένας αισθητήρας που ανάλογα με την πραγματική θερμοκρασία στον θάλαμο συντήρησης και την επιθυμητή θερμοκρασία που ορίζει ο χρήστης, αποκαθιστά ή διακόπτει την ηλεκτρική τροφοδοσία του συμπιεστή. Υπάρχουν τρία βασικά είδη θερμοστατών: 1) Θερμοστάτες που λειτουργούν με διμεταλλικό έλασμα, 2) Θερμοστάτες που λειτουργούν μέσω της διαστολής και συστολής αερίου μέσα σε βολβό και 3) Θερμοστάτες ηλεκτρονικού τύπου.'

}

var in_pressure_array     = [  1.0,  1.1,  1.2,  1.3,  1.4,  1.5,  1.6,  1.7,  1.8,  1.9,  2.0,  2.1,  2.2,  2.3,  2.4,  2.5,  2.6,  2.7,  2.8,  2.9,  3.0,  3.1,  3.2,  3.3,  3.4,  3.5,  3.6,  3.7,  3.8,  3.9,  4.0,  4.1,  4.2,  4.3,  4.4,  4.5,  4.6,  4.7];
var in_temperature_array  = [-10.0, -8.9, -7.7, -6.6, -5.4, -4.3, -3.3, -2.3, -1.3, -0.3,  0.6,  1.5,  2.4,  3.3,  4.1,  5.0,  5.8,  6.6,  7.3,  8.1,  8.9,  9.6, 10.4, 11.0, 11.7, 12.4, 13.1, 13.7, 14.4, 15.1, 15.7, 16.3, 16.9, 17.5, 18.1, 18.7, 19.3, 20.0];
var out_pressure_array    = [ 12.2, 12.0, 11.8, 11.6, 11.4, 11.2, 11.0, 10.8, 10.6, 10.4, 10.2, 10.0,  9.8,  9.6,  9.4,  9.2,  9.0,  8.8,  8.6,  8.4,  8.2,  8.0,  7.8,  7.6,  7.4,  7.2,  7.0,  6.8,  6.6,  6.4,  6.2,  6.0,  5.8,  5.6,  5.4,  5.2,  5.0,  4.7];
var out_temperature_array = [ 50.0, 49.4, 48.8, 48.1, 47.5, 46.9, 46.3, 45.6, 45.0, 44.3, 43.6, 42.9, 42.2, 41.5, 40.8, 40.1, 39.4, 38.6, 37.8, 37.0, 36.3, 35.5, 34.7, 33.8, 33.0, 32.1, 31.3, 30.4, 29.5, 28.6, 27.6, 26.6, 25.7, 24.7, 23.6, 22.6, 21.5, 20.0];




